function [ c ] = mul8_184( a, b )
% Approximate function mul8_184
%  Library = EvoApprox8b
%  Circuit = mul8_184
%  Area   (180) = 6152
%  Delay  (180) = 2.320
%  Power  (180) = 2394.10
%  Area   (45) = 462
%  Delay  (45) = 0.870
%  Power  (45) = 204.50
%  Nodes = 122
%  HD = 341978
%  MAE = 343.23474
%  MSE = 193978.44531
%  MRE = 7.28 %
%  WCE = 1927
%  WCRE = 200 %
%  EP = 98.6 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n33 = bitcmp(n28);
  n36 = bitcmp(bitxor(n28, n28));
  n37 = bitcmp(bitxor(n28, n28));
  n38 = bitcmp(bitor(n14, n36));
  n40 = bitcmp(bitxor(n12, n12));
  n41 = bitcmp(bitxor(n12, n12));
  n42 = bitcmp(bitor(bitand(n6, n8), n37));
  n43 = bitcmp(bitor(bitand(n6, n8), n37));
  n45 = bitcmp(bitor(n33, n20));
  n46 = bitcmp(bitand(n43, bitand(n42, n18)));
  n51 = n22;
  n54 = bitcmp(bitor(n6, n36));
  n55 = bitcmp(bitor(n6, n36));
  n57 = bitcmp(bitor(n41, n30));
  n63 = n41;
  n75 = bitcmp(n57);
  n81 = bitand(n28, n38);
  n83 = bitcmp(bitand(n6, bitand(n24, n81)));
  n86 = n63;
  n89 = bitor(bitand(n75, n38), bitand(bitcmp(n75), n81));
  n93 = n89;
  n94 = bitcmp(bitor(bitand(n83, n40), n45));
  n97 = bitcmp(n46);
  n106 = bitcmp(bitor(bitand(n41, n8), n75));
  n110 = bitcmp(n81);
  n113 = bitcmp(n89);
  n121 = bitcmp(n89);
  n122 = bitcmp(bitor(n93, n106));
  n129 = bitcmp(bitor(n110, n86));
  n134 = bitand(n26, n106);
  n150 = bitand(n22, n94);
  n153 = n129;
  n163 = bitor(n121, n24);
  n253 = bitcmp(bitor(n97, n122));
  n254 = bitand(n14, n18);
  n352 = bitor(bitand(n51, n12), bitand(bitcmp(n51), n57));
  n356 = bitand(n12, n20);
  n372 = bitand(n14, n20);
  n417 = bitand(n4, n150);
  n432 = bitcmp(bitor(n153, n86));
  n435 = n55;
  n446 = bitand(n8, n22);
  n460 = bitand(n10, n22);
  n461 = bitand(n10, n22);
  n476 = bitand(n12, n22);
  n490 = bitand(n14, n22);
  n498 = bitcmp(bitand(n113, n54));
  n505 = n417;
  n534 = bitand(n4, n253);
  n550 = bitand(n6, n24);
  n564 = bitand(n8, n24);
  n580 = bitand(n10, n24);
  n594 = bitand(n12, n24);
  n608 = bitand(n14, n24);
  n625 = bitand(n0, n26);
  n654 = bitand(n4, n26);
  n668 = bitand(n6, n26);
  n682 = bitand(n8, n26);
  n691 = bitand(n6, n254);
  n698 = bitand(n10, n26);
  n712 = bitand(n12, n26);
  n728 = bitand(n14, n26);
  n729 = bitand(n14, n26);
  n756 = bitand(n2, n28);
  n786 = bitand(n6, n28);
  n802 = bitand(n8, n28);
  n816 = bitand(n10, n28);
  n832 = bitand(n12, n28);
  n846 = bitand(n14, n28);
  n890 = bitand(n4, n30);
  n906 = bitand(n6, n30);
  n920 = bitand(n8, n30);
  n934 = bitand(n10, n30);
  n950 = bitand(n12, n30);
  n964 = bitand(n14, n30);
  n1008 = n89;
  n1068 = bitor(bitand(n435, n498), bitand(bitcmp(n435), n134));
  n1082 = bitand(n254, n356);
  n1098 = bitor(n254, n356);
  n1142 = bitor(n432, n534);
  n1156 = bitxor(bitxor(n446, n550), n654);
  n1157 = bitor(bitor(bitand(n446, n550), bitand(n550, n654)), bitand(n446, n654));
  n1172 = bitxor(bitxor(n460, n564), n668);
  n1173 = bitor(bitor(bitand(n460, n564), bitand(n564, n668)), bitand(n460, n668));
  n1186 = bitxor(bitxor(n476, n580), n682);
  n1187 = bitor(bitor(bitand(n476, n580), bitand(n580, n682)), bitand(n476, n682));
  n1202 = bitxor(bitxor(n490, n594), n698);
  n1203 = bitor(bitor(bitand(n490, n594), bitand(n594, n698)), bitand(n490, n698));
  n1232 = bitxor(n608, n712);
  n1233 = bitand(n608, n712);
  n1277 = n625;
  n1320 = bitxor(bitxor(n1068, n1142), n1156);
  n1321 = bitor(bitor(bitand(n1068, n1142), bitand(n1142, n1156)), bitand(n1068, n1156));
  n1334 = bitxor(bitxor(n1098, n756), n1172);
  n1335 = bitor(bitor(bitand(n1098, n756), bitand(n756, n1172)), bitand(n1098, n1172));
  n1350 = bitxor(bitxor(n372, n1082), n1186);
  n1351 = bitor(bitor(bitand(n372, n1082), bitand(n1082, n1186)), bitand(n372, n1186));
  n1394 = n1157;
  n1395 = n1157;
  n1408 = bitxor(bitxor(n1173, n786), n890);
  n1409 = bitor(bitor(bitand(n1173, n786), bitand(n786, n890)), bitand(n1173, n890));
  n1424 = bitxor(bitxor(n1187, n802), n906);
  n1425 = bitor(bitor(bitand(n1187, n802), bitand(n802, n906)), bitand(n1187, n906));
  n1434 = n163;
  n1438 = bitxor(bitxor(n1203, n816), n920);
  n1439 = bitor(bitor(bitand(n1203, n816), bitand(n816, n920)), bitand(n1203, n920));
  n1449 = n505;
  n1454 = bitxor(bitxor(n1233, n832), n934);
  n1455 = bitor(bitor(bitand(n1233, n832), bitand(n832, n934)), bitand(n1233, n934));
  n1468 = bitand(n846, n950);
  n1482 = bitxor(n846, n950);
  n1483 = bitand(n846, n950);
  n1528 = bitxor(n1449, n1277);
  n1556 = bitor(bitand(n1483, n1434), bitand(bitcmp(n1483), n1320));
  n1572 = bitxor(bitxor(n1334, n1321), n1394);
  n1573 = bitor(bitor(bitand(n1334, n1321), bitand(n1321, n1394)), bitand(n1334, n1394));
  n1586 = bitxor(bitxor(n1350, n1335), n1408);
  n1587 = bitor(bitor(bitand(n1350, n1335), bitand(n1335, n1408)), bitand(n1350, n1408));
  n1602 = bitxor(bitxor(n1202, n1351), n1424);
  n1603 = bitor(bitor(bitand(n1202, n1351), bitand(n1351, n1424)), bitand(n1202, n1424));
  n1616 = bitand(n1232, n1438);
  n1632 = bitxor(n1232, n1438);
  n1646 = bitand(n729, n1454);
  n1660 = bitxor(n728, n1454);
  n1690 = bitor(n1528, n1156);
  n1691 = bitor(n1528, n1156);
  n1720 = n1556;
  n1734 = bitxor(n1572, n106);
  n1735 = bitand(n1572, n106);
  n1750 = bitxor(bitxor(n1586, n1573), n1395);
  n1751 = bitor(bitor(bitand(n1586, n1573), bitand(n1573, n1395)), bitand(n1586, n1395));
  n1764 = bitxor(bitxor(n1602, n1587), n1409);
  n1765 = bitor(bitor(bitand(n1602, n1587), bitand(n1587, n1409)), bitand(n1602, n1409));
  n1780 = bitxor(bitxor(n1632, n1603), n1425);
  n1781 = bitor(bitor(bitand(n1632, n1603), bitand(n1603, n1425)), bitand(n1632, n1425));
  n1794 = bitxor(bitxor(n1660, n1616), n1439);
  n1795 = bitor(bitor(bitand(n1660, n1616), bitand(n1616, n1439)), bitand(n1660, n1439));
  n1808 = bitxor(bitxor(n1482, n1646), n1455);
  n1809 = bitor(bitor(bitand(n1482, n1646), bitand(n1646, n1455)), bitand(n1482, n1455));
  n1824 = bitand(n41, n1468);
  n1838 = bitxor(n964, n1468);
  n1854 = bitor(n1690, n1008);
  n1868 = bitxor(n253, n1691);
  n1882 = n1720;
  n1898 = n1734;
  n1912 = bitxor(n1750, n1735);
  n1928 = bitor(n1764, n1751);
  n1942 = bitxor(n1780, n1765);
  n1943 = bitand(n1780, n1765);
  n1956 = bitxor(bitxor(n1794, n1781), n1943);
  n1957 = bitor(bitor(bitand(n1794, n1781), bitand(n1781, n1943)), bitand(n1794, n1943));
  n1972 = bitxor(bitxor(n1808, n1795), n1957);
  n1973 = bitor(bitor(bitand(n1808, n1795), bitand(n1795, n1957)), bitand(n1808, n1957));
  n1986 = bitxor(bitxor(n1838, n1809), n1973);
  n1987 = bitor(bitor(bitand(n1838, n1809), bitand(n1809, n1973)), bitand(n1838, n1973));
  n2016 = bitor(n1824, n1987);
  c = bitor(c, bitshift(bitand(n57, 1), 0));
  c = bitor(c, bitshift(bitand(n1750, 1), 1));
  c = bitor(c, bitshift(bitand(n691, 1), 2));
  c = bitor(c, bitshift(bitand(n352, 1), 3));
  c = bitor(c, bitshift(bitand(n461, 1), 4));
  c = bitor(c, bitshift(bitand(n1854, 1), 5));
  c = bitor(c, bitshift(bitand(n1868, 1), 6));
  c = bitor(c, bitshift(bitand(n1882, 1), 7));
  c = bitor(c, bitshift(bitand(n1898, 1), 8));
  c = bitor(c, bitshift(bitand(n1912, 1), 9));
  c = bitor(c, bitshift(bitand(n1928, 1), 10));
  c = bitor(c, bitshift(bitand(n1942, 1), 11));
  c = bitor(c, bitshift(bitand(n1956, 1), 12));
  c = bitor(c, bitshift(bitand(n1972, 1), 13));
  c = bitor(c, bitshift(bitand(n1986, 1), 14));
  c = bitor(c, bitshift(bitand(n2016, 1), 15));
end